List products
Retrieve a paginated list of products with filtering and sorting
GET
/
admin
/
api
/
v1
/
inventories
/
products
List products
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"type": "goods",
"name": "Big Vision 4K Action Camera",
"service_tracking": "none",
"reference": "Action-01",
"barcode": "BV4K-0001",
"price": 150,
"cost": 100,
"volume": 0,
"weight": 1.2,
"description": "<p>A high-quality 4k action camera designed for everyday use.</p><p>The <strong>4K Action Camera</strong> is crafted with premium materials, ensuring durability and functionality. Perfect for those who value quality and innovation in their everyday essentials.</p>",
"description_purchase": null,
"description_sale": null,
"enable_sales": false,
"enable_purchase": false,
"is_favorite": false,
"is_configurable": true,
"images": [
"01JR9QKPXFKP1S054PZDM17MEP.png",
"01JR9QKPXPX1TJKCH0DMZ29M12.png"
],
"sort": null,
"parent_id": null,
"uom_id": 1,
"uom_po_id": 1,
"category_id": 11,
"creator_id": 1,
"company_id": 1,
"created_at": "2025-04-08T03:37:55.000000Z",
"updated_at": "2025-09-23T07:28:33.000000Z",
"deleted_at": null,
"is_storable": true,
"tracking": "qty",
"use_expiration_date": false,
"sale_delay": null,
"expiration_time": 0,
"use_time": 0,
"removal_time": 0,
"alert_time": 0,
"responsible_id": null
},
{
"id": 1,
"type": "goods",
"name": "Big Vision 4K Action Camera",
"service_tracking": "none",
"reference": "Action-01",
"barcode": "BV4K-0001",
"price": 150,
"cost": 100,
"volume": 0,
"weight": 1.2,
"description": "<p>A high-quality 4k action camera designed for everyday use.</p><p>The <strong>4K Action Camera</strong> is crafted with premium materials, ensuring durability and functionality. Perfect for those who value quality and innovation in their everyday essentials.</p>",
"description_purchase": null,
"description_sale": null,
"enable_sales": false,
"enable_purchase": false,
"is_favorite": false,
"is_configurable": true,
"images": [
"01JR9QKPXFKP1S054PZDM17MEP.png",
"01JR9QKPXPX1TJKCH0DMZ29M12.png"
],
"sort": null,
"parent_id": null,
"uom_id": 1,
"uom_po_id": 1,
"category_id": 11,
"creator_id": 1,
"company_id": 1,
"created_at": "2025-04-08T03:37:55.000000Z",
"updated_at": "2025-09-23T07:28:33.000000Z",
"deleted_at": null,
"is_storable": true,
"tracking": "qty",
"use_expiration_date": false,
"sale_delay": null,
"expiration_time": 0,
"use_time": 0,
"removal_time": 0,
"alert_time": 0,
"responsible_id": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
List products
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"type": "goods",
"name": "Big Vision 4K Action Camera",
"service_tracking": "none",
"reference": "Action-01",
"barcode": "BV4K-0001",
"price": 150,
"cost": 100,
"volume": 0,
"weight": 1.2,
"description": "<p>A high-quality 4k action camera designed for everyday use.</p><p>The <strong>4K Action Camera</strong> is crafted with premium materials, ensuring durability and functionality. Perfect for those who value quality and innovation in their everyday essentials.</p>",
"description_purchase": null,
"description_sale": null,
"enable_sales": false,
"enable_purchase": false,
"is_favorite": false,
"is_configurable": true,
"images": [
"01JR9QKPXFKP1S054PZDM17MEP.png",
"01JR9QKPXPX1TJKCH0DMZ29M12.png"
],
"sort": null,
"parent_id": null,
"uom_id": 1,
"uom_po_id": 1,
"category_id": 11,
"creator_id": 1,
"company_id": 1,
"created_at": "2025-04-08T03:37:55.000000Z",
"updated_at": "2025-09-23T07:28:33.000000Z",
"deleted_at": null,
"is_storable": true,
"tracking": "qty",
"use_expiration_date": false,
"sale_delay": null,
"expiration_time": 0,
"use_time": 0,
"removal_time": 0,
"alert_time": 0,
"responsible_id": null
},
{
"id": 1,
"type": "goods",
"name": "Big Vision 4K Action Camera",
"service_tracking": "none",
"reference": "Action-01",
"barcode": "BV4K-0001",
"price": 150,
"cost": 100,
"volume": 0,
"weight": 1.2,
"description": "<p>A high-quality 4k action camera designed for everyday use.</p><p>The <strong>4K Action Camera</strong> is crafted with premium materials, ensuring durability and functionality. Perfect for those who value quality and innovation in their everyday essentials.</p>",
"description_purchase": null,
"description_sale": null,
"enable_sales": false,
"enable_purchase": false,
"is_favorite": false,
"is_configurable": true,
"images": [
"01JR9QKPXFKP1S054PZDM17MEP.png",
"01JR9QKPXPX1TJKCH0DMZ29M12.png"
],
"sort": null,
"parent_id": null,
"uom_id": 1,
"uom_po_id": 1,
"category_id": 11,
"creator_id": 1,
"company_id": 1,
"created_at": "2025-04-08T03:37:55.000000Z",
"updated_at": "2025-09-23T07:28:33.000000Z",
"deleted_at": null,
"is_storable": true,
"tracking": "qty",
"use_expiration_date": false,
"sale_delay": null,
"expiration_time": 0,
"use_time": 0,
"removal_time": 0,
"alert_time": 0,
"responsible_id": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}